package com.miaxis.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "mei")
public class MeiConfig {

   private String actId;
   private String key;
   private String secret;
   private String sid;
   private String appId;
}
