package com.miaxis.car.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 汽车品牌表
 * @author wwl
 * @version 1.0
 * @date 2021/5/21 10:36
 */
@Data
@TableName("car_brand_info")
@ApiModel(value = "CarBrandInfo", description = "汽车品牌表 car_brand_info")
public class CarBrandInfo {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    @TableField("name")
    @ApiModelProperty(value = "汽车品牌")
    private String name;

    @TableField("img")
    @ApiModelProperty(value = "品牌logo")
    private String img;

    @TableField("first_Letter")
    @ApiModelProperty(value = "品牌首字母")
    private String firstletter;

    @TableField("img_path")
    @ApiModelProperty(value = "品牌logo文件路径")
    private String imgPath;


}
