package com.miaxis.car.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *  二手车图片关联对象
 * @author wwl
 * @version 1.0
 * @date 2021/5/26 14:13
 */
@Data
@TableName("used_car_file")
@ApiModel(value = "UsedCarFile", description = "二手车图片关联对象 used_car_file")
public class UsedCarFile {

    @TableField("used_car_id")
    @ApiModelProperty(value = "二手车id")
    private Long usedCarId;

    @TableField("file_id")
    @ApiModelProperty(value = "图片id")
    private Long fileId;

    @TableField("sign")
    @ApiModelProperty(value = "主图标识（同一个used_car_id下只有一个main）")
    private String sign;
}
