package com.miaxis.car.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 二手车审核入参
 * @author wwl
 * @version 1.0
 * @date 2021/5/27 15:36
 */
@Data
@ApiModel(value = "UsedCarInfoDto", description = "二手车审核入参")
public class ExamineUsedCarDto {

    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    @TableField("examine_status")
    @ApiModelProperty(value = "审核状态  0：待审核(默认)、1：审核通过、2：审核未通过")
    private String examineStatus;

    @TableField("audit_information")
    @ApiModelProperty(value = "审核信息（审核未通过原因）")
    private String auditInformation;

}
