package com.miaxis.car.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.car.domain.UsedCarInfo;

import java.util.List;

/**
 * 二手车Mapper接口
 * @author wwl
 * @version 1.0
 * @date 2021/5/26 13:41
 */
public interface UsedCarInfoMapper extends BaseMapper<UsedCarInfo> {

    /**
     * 查询二手车列表
     *
     * @param usedCarInfo 二手车
     * @return 二手车集合
     */
    List<UsedCarInfo> selectUsedCarInfoList(UsedCarInfo usedCarInfo);
}
