package com.miaxis.feign.service;


import com.fasterxml.jackson.databind.ObjectMapper;
import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Pdd;
import com.miaxis.feign.dto.PddResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;

/**
 *
 * 电影接口测试
 */
@FeignClient(name="pddService",
        url = "http://gw-api.pinduoduo.com",configuration = FeignConfig.class)
@Component
    public interface IPddService {
//    @PostMapping(value = "/api/router")
//    String getPdd(Pdd pdd);


    @PostMapping(value = "/api/router")
    String getPdd(Pdd pdd);




}
