package com.miaxis.car.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 汽车参数类型对象 car_parameter_type
 * @author wwl
 * @version 1.0
 * @date 2021/5/27 17:04
 */
@Data
@TableName("car_parameter_type")
@ApiModel(value = "CarParameterType", description = "汽车参数类型对象 car_parameter_type")
public class CarParameterType extends BaseBusinessEntity {
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    @TableField("parameter_name")
    @ApiModelProperty(value = "参数名")
    private String parameterName;

    @TableField("parameter_type")
    @ApiModelProperty(value = "参数类型")
    private String parameterType;

    @TableField("status")
    @ApiModelProperty(value = "状态（0正常 1停用）")
    private String status;
}
