package com.miaxis.feign.service;


import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Film;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.PostMapping;

/**
 *
 * 电影接口测试
 */
@FeignClient(name="filmService",
        url = "http://movieapi2-test.taototo.cn",configuration = FeignConfig.class)
@Component
public interface IFilmService {
    @PostMapping(value = "/movieapi/movie-info/get-city-list",
            consumes = MediaType.APPLICATION_FORM_URLENCODED_VALUE)
    String geFilmInfo(Film film);


}
