package com.miaxis.feign.service;

import com.miaxis.common.config.FeignConfig;
import com.miaxis.feign.dto.Mei;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 *
 * 电影接口测试
 */
@FeignClient(name="meiService",
        url = "https://runion.meituan.com",configuration = FeignConfig.class)
@Component
public interface IMeiService {

//    @GetMapping(value = "/generateLink")
//    String geMeiUrl(@RequestParam("actId") String actId,
//                    @RequestParam("key") String key,
//                    @RequestParam("sid") String sid,
//                    @RequestParam("linkType") String linkType,
//                    @RequestParam("sign") String sign);



//    @GetMapping(value = "/generateLink")
//    String geMeiUrl(@SpringQueryMap Mei mei);


    @GetMapping(value = "/generateLink")
    String geMeiUrl(@SpringQueryMap Object params);

}
