package com.miaxis.fulu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.miaxis.fulu.domain.FuluCommodityInfo;
import com.miaxis.fulu.vo.FuluCommodityInfoVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 福禄商品Mapper接口
 * @author wwl
 * @version 1.0
 * @date 2021/6/24 15:14
 */
public interface FuluCommodityInfoMapper extends BaseMapper<FuluCommodityInfo> {
    /**
     * 查询福禄商品列表
     *
     * @param fuluCommodityInfo 福禄商品
     * @return 福禄商品集合
     */
    List<FuluCommodityInfoVo> selectFuluCommodityInfoList(FuluCommodityInfo fuluCommodityInfo);

    FuluCommodityInfoVo getFuLuById(@Param("id")Long id);
}
