package com.miaxis.goods.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.common.core.domain.Response;
import com.miaxis.goods.domain.GoodsInfo;

/**
 * 商品Service接口
 *
 * @author miaxis
 * @date 2021-03-11
 */
public interface IGoodsInfoService extends IService<GoodsInfo>{

    /**
     * 删除商品
     * @param ids
     * @return
     */
    Response<Integer> removeGoodsByIds(Long[] ids);
}
